CreateAliyunSmsSNSTextTemplate
CreateAliyunSmsSNSTextTemplate
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
signStringRequiredThe SMS signature.
alarmTemplateCodeStringRequiredThe resource alarm template code.
eventTemplateCodeStringRequiredThe event alarm template code.
eventTemplateStringOptional. The event alarm template text.
nameStringRequiredThe template name.
descriptionStringOptional. The detailed description of the template.
applicationPlatformTypeStringRequiredThe type of the SNS application platform.
templateStringRequiredThe resource alarm template text.
recoveryTemplateStringOptional. The recovery template text.
defaultTemplateBooleanOptional. Whether to set the template as the default template.
resourceUuidStringOptional.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/zwatch/alarms/sns/text-templates/aliyun-sms
/zstack/v1/zwatch/alarms/sns/text-templates/aliyun-sms
Request Example
curl -X POST 'http://{host}/zstack/v1/zwatch/alarms/sns/text-templates/aliyun-sms' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"sign":"<sign>","alarmTemplateCode":"<alarmTemplateCode>","eventTemplateCode":"<eventTemplateCode>","eventTemplate":"<eventTemplate>","name":"<name>","description":"<description>","applicationPlatformType":"<applicationPlatformType>","template":"<template>","recoveryTemplate":"<recoveryTemplate>","defaultTemplate":true,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "335d5580cfad41d98e699d5d80830818", "name": "email template", "applicationPlatformType": "Email", "template": "Alarm ${ALARM_NAME} changes status to ${ALARM_CURRENT_STATUS}", "recoveryTemplate": "Resource ${EVENT_RESOURCE_ID} changes status to ${ALARM_CURRENT_STATUS}", "defaultTemplate": false, "createDate": "Oct 8, 2019 5:31:52 PM", "lastOpDate": "Oct 8, 2019 5:31:52 PM" } }Change History
This API has no change history records yet.
